<?php
/**
 * The front page template file.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package STMPack
 */

get_header();
    if(function_exists('show_text_block')) {
        ?><div id="slider" class="slider-fullscreen"><?php
        $currentlang = get_bloginfo('language');
        echo show_text_block('slider-' . strtolower($currentlang), false);
        ?>

        </div><?php
    } ?><div id="primary" class="content-area stm-inner-width">
        <main id="main" class="site-main" role="main">

            <section class="products-section page-padding inner-width front-section">
                          <h1 class="section-title">
    <span><?php _e( 'Products', 'stm' ); ?></span>
</h1>

<div id="home-products-grid">
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(48,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK_COMPLETE-FILLING-LINES-03.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(48,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Complete Filling Lines', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(96,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_BLOW-MOLDING-MACHINES.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(96,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Blow Molding Machines', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(102,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_FILLING-MACHINES.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(102,'page',false,ICL_LANGUAGE_CODE));?>" ><?php _e( 'Filling Machines', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(107,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_MIXERS-AND-SATURATORS.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(107,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Mixers and Saturators', 'stm' ); ?></a></h2>
</div>
</div>

<div id="home-products-grid">
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(112,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK_SYRUP-FILLING-LINES-03.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(112,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Syrup Room', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(117,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_PACKING-AND-PALLETIZING.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(117,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Packing and Palletizing', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(122,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_LABELLING.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(122,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Labelling', 'stm' ); ?></a></h2>
</div>
<div class="col">
<a href="<?php echo get_permalink(icl_object_id(127,'page',false,ICL_LANGUAGE_CODE));?>"><img src="<?php echo get_template_directory_uri(); ?>/images/STMPACK-_CONVEYORS.svg"></a>
<h2><a href="<?php echo get_permalink(icl_object_id(127,'page',false,ICL_LANGUAGE_CODE));?>"><?php _e( 'Conveyors', 'stm' ); ?></a></h2>
</div>
</div>

  <?php // echo do_shortcode('[tesoptions_hp_section_links slug="products" lang="'. $lang .'" cols="2"]'); ?>
            </section>



            <section class="news-section">

                        <?php if('en-GB' === $currentlang): ?>
                <h1 class="section-title page-padding inner-width"><span><?php
                    if(function_exists('pll_e')) {
                        pll_e('News');
                    } else {
                        echo 'News';
                    }
                ?></span></h1>

                                <div class="section-news featured-blocks d-flex inner-width">
                <?php
                    $the_query = new WP_Query( 'posts_per_page=2' );
                    while ($the_query -> have_posts()) : $the_query -> the_post();
                ?>
                    <article class="news <?php echo((has_post_thumbnail()) ? 'news-thumb' : 'news-nothumb'); ?>">
                    <div class="news-content">
                    <div class="news-content-image"><?php
                        if (has_post_thumbnail() ) :
                        ?><a href="<?php the_permalink(); ?>"><figure class="thumb"><?php the_post_thumbnail('large'); ?></figure></a><?php
                        endif;
                    ?>
                        <h3 class="news-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    </div>

                        <div class="col-12">
                            <div class="excerpt"><?php
                            the_excerpt(__('(more …)'));
                    ?>
                            </div>
                        <div class="col-6 t-left">
                        <p><?php the_time('jS F Y') ?></p>
                        </div>
                            <div class="col-6 t-right">
                        <a href="<?php the_permalink(); ?>"><?php _e( 'Read more', 'stm' ); ?> <i class="fa fas fa-caret-right"></i></a>
                        </div>
                            </div>


                    </div>

                </article><?php
                    endwhile;
                    wp_reset_postdata();
                ?>
            </div>
                            <?php endif; ?>

                                                    <?php if('pl-PL' === $currentlang): ?>
                <h1 class="section-title page-padding inner-width"><span><?php
                    if(function_exists('pll_e')) {
                        pll_e('Aktualności');
                    } else {
                        echo 'Aktualności';
                    }
                ?></span></h1>

                                <div class="section-news featured-blocks d-flex inner-width">
                <?php
                    $the_query = new WP_Query( 'posts_per_page=2' );
                    while ($the_query -> have_posts()) : $the_query -> the_post();
                ?>
                    <article class="news <?php echo((has_post_thumbnail()) ? 'news-thumb' : 'news-nothumb'); ?>">
                    <div class="news-content">
                    <div class="news-content-image"><?php
                        if (has_post_thumbnail() ) :
                        ?><a href="<?php the_permalink(); ?>"><figure class="thumb"><?php the_post_thumbnail('large'); ?></figure></a><?php
                        endif;
                    ?>
                        <h3 class="news-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    </div>

                        <div class="col-12">
                            <div class="excerpt"><?php
                            the_excerpt(__('(more …)'));
                    ?>
                            </div>
                        <div class="col-6 t-left">
                        <p><?php the_time('jS F Y') ?></p>
                        </div>
                            <div class="col-6 t-right">
                        <a href="<?php the_permalink(); ?>"><?php _e( 'Czytaj więcej', 'stm' ); ?> <i class="fa fas fa-caret-right"></i></a>
                        </div>
                            </div>


                    </div>

                </article><?php
                    endwhile;
                    wp_reset_postdata();
                ?>
            </div>
                            <?php endif; ?>
            <div class="stm-front-section section-featured inner-width">
                <?php if(function_exists('show_text_block')) {
                    $currentlang = get_bloginfo('language');
                    echo show_text_block('featured-' . strtolower($currentlang), false);
                } ?>
            </div>
            </section>



        </main><!-- #main -->
    </div><!-- #primary -->
    <div class="fixed-bckgd-section fixed-bckgd-section-dark nk-awb d-flex" style="background-image: url(https://stm-pack.com/wp-content/uploads/stm-group-wirtualny-spacer-3d-virtual-presentation-stm.jpg">
<div class="page-padding inner-width front-section  d-flex dark-section">
<div class="section-column section-column-half  d-flex f-column">
<h2 class="section-subtitle"><span><?php _e( 'Check our solutions on virtual 3D trip !', 'stm' ); ?>
</span></h2>
<p class="fixed-text"><?php _e( 'Here you can move to the latest factories around the world and see how our machines works.
Do not hesitate to check all interesting for you details', 'stm' ); ?>.</p>
</div>
<div class="section-column  section-column-half  d-flex">
<a href="https://vrtour.pl/vrtour/beer-filling-line/fullscreen" target="_blank"><img src="https://stm-pack.com/wp-content/uploads/stm-wirtualny-spacer.jpg"></a>
</div>
</div>
</div>

<section class="partners-section">
                <h1 class="section-title page-padding inner-width"><span><?php
                    if(function_exists('pll_e')) {
                        pll_e('Partners');
                    } else {
                        echo 'Partners';
                    }
                ?></span></h1>

                <?php /*<p class="partners-home">During more than 30 years of its activities, STM implemented numerous projects, among others in Europe, USA, Africa or Middle East. Meanwhile, we established cooperation with many companies and gained trusted partners all over the world.</p> */?>
                <div class="logo-slider page-padding inner-width">
                    <?php
                        $partners_images = preg_grep('~\.(jpeg|jpg|png)$~', scandir(get_template_directory() . '/images/partners'));
                        foreach($partners_images as $p_image) {
                            ?><img src="<?php echo get_template_directory_uri(); ?>/images/partners/<?php echo $p_image; ?>"><?php
                        }
                    ?>
                </div>
				<div class="htg-partner">
				<div class="htg-partner-logo"><img src="<?php echo get_template_directory_uri(); ?>/images/htg-logo.svg"></div>
				<div class="htg-partner-description"><a href="http://htgindustry.com/" target="_blank"><?php _e( 'Official Partner in Africa - HTGINDUSTRY.COM', 'stm' ); ?></a></div>
				</div>
</section>


    <?php /*
                $background_1_id = do_shortcode('[tesoptions_hp_media id="1" type="id"]');
                echo do_shortcode('[nk_awb awb_type="image" awb_stretch="true" awb_image="' . $background_1_id . '" awb_image_size="full" awb_image_background_size="cover" awb_image_background_position="50% 50%" awb_parallax="scroll" awb_parallax_speed="0.5"]<div style="min-height: 50vh;"></div>[/nk_awb]'); ?><?php /*  <section class="our-projects-section page-padding inner-width front-section"><?php echo do_shortcode('[tesoptions_hp_section_links slug="projects" lang="'. $lang .'" cols="3"]'); ?>
            </section> */ ?>
    <div class="fixed-bckgd-section nk-awb d-flex" style="background-image: url(<?php echo get_template_directory_uri(); ?>/images/stm-weightmagic-machine-poland-cnc-min.jpg);">
            <div class="page-padding inner-width front-section  d-flex dark-section">

                <div class="section-column section-column-half d-flex f-flex col-3"><img src="<?php echo get_template_directory_uri(); ?>/images/stm-logo_group-white.svg" style="max-width: 280px;
    padding: 40px 0;
    border-right: 1px solid #fff;
    padding-right: 30px;
    margin-right: 30px;"></div>
                <div class="section-column  section-column-half d-flex col-9">
                    <p class="fixed-text"><?php _e( '<span style="color: #c9d231">STM GROUP</span> it is made by two companies from the fields of the filling industry and production automation, whose goal is to implement innovative solutions based on many years of experience of a team of designers, constructors and engineers. We specialize in the production of stretch blow molding machines, filling machines, complete technological lines as well as automation and palletizing of production. We run turnkey projects which allow us to provide our clients with individual and dedicated solutions. The assumption of continuous development and improvement of the technologies offered in so many industries is the success of the STM and TES groups.', 'stm' ); ?><br></p>
                 </div>
                 </div>
</div>




<?php
get_footer();
